Bug 1101940 - cgdcbxd-1.0.1-4 not built with $RPM_OPT_FLAGS
Summary: cgdcbxd-1.0.1-4 not built with $RPM_OPT_FLAGS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cgdcbxd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neil Horman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DebugInfo
TreeView+ depends on / blocked
 
Reported: 2014-05-28 08:25 UTC by Ville Skyttä
Modified: 2014-11-01 16:25 UTC (History)
1 user (show)

Fixed In Version: cgdcbxd-1.0.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 16:25:15 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2014-05-28 08:25:14 UTC
Fix:

-export CFLAGS="-fPIE -Wl,-z,relro,-z,now"
-export LDFLAGS=-pie
+export CFLAGS="$RPM_OPT_FLAGS -fPIE -Wl,-z,relro,-z,now"
+export LDFLAGS="$RPM_LD_FLAGS -pie"

Also, is there a reason why the hardening flags are added manually like this instead of using the standard "%global _hardened_build 1" way? If there is, I suggest documenting it in the specfile. See http://fedoraproject.org/wiki/Packaging:Guidelines#PIE for more info

Comment 1 Fedora Update System 2014-10-14 12:47:47 UTC
cgdcbxd-1.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cgdcbxd-1.0.2-1.fc21

Comment 2 Fedora Update System 2014-10-16 01:59:05 UTC
Package cgdcbxd-1.0.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cgdcbxd-1.0.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12851/cgdcbxd-1.0.2-1.fc21
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2014-11-01 16:25:15 UTC
cgdcbxd-1.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.